best version of IE that will work on win95

September 14, 2010 at 16:48:41
Specs: Windows 95B, pentium 3/ 2 MB min
I recently replaced a crashed HD and I am looking for the best version of IE to install with windows95B OS. What was the last version of IE that will run on my OS. If you have suggestions on better browser that does not conflict with win95B os please let me know the name and address were I can download a free copy.
Thanks
wormkiller

See More: best version of IE that will work on win95

Report •


#1
September 14, 2010 at 16:56:09
The latest version of IE that will work is IE5.5 SP2. I am not saying it is your best choice.
With Win95 your choices are limited.

Report •

#2
September 14, 2010 at 17:34:03
Try one of these instead:

Firefox 2.0.0.2
K-Melon 1.5.4
Maxthon 3.0.17.1100
Opera 9.64
SeaMonkey 2.0.7

http://www.filehippo.com/software/i...


Report •

#3
October 31, 2010 at 14:46:16
Hello ALL,

I wanted to read this thread, I was wondering about the same thing.

Question: Why is it when I open certain threads, such as this one. The original question posted is to the right of the box screen, with a very tiny window view. I can't read the posters question, only parts and pieces at a time. The rest of the thread windows/answers are in full view.

It's most likely me, the operator not knowing what I'm doing.

Thanx any insight would be helpful.
Rhonda


Report •

Related Solutions

#4
November 14, 2010 at 18:36:01
"Try one of these instead:

Firefox 2.0.0.2
K-Melon 1.5.4
Maxthon 3.0.17.1100
Opera 9.64
SeaMonkey 2.0.7"

Seamonkey 2.0.7 will NOT run under Win95, jam. Seamonkey 2.0.x requires minimum of Win2000 or better, though one could try running it on a Win98 machine w/ KernelEx installed.

Firefox 2.0.0.20 crashes under Win95 when installing it using a "typical" installation, however, if you do a custom install of Firefox 2.0.0.20 from this Computing.net thread, it should be able to run and not crash under Win95.

best version of IE for Win95? either IE 5.01 SP2 or IE 5.5 SP2 would be a good choice. I'd go for IE 5.5 because version 5.5 finally included a Print Preview option.


Report •

Ask Question